Onlineeye Pro

Tutorials ( First steps with Onlineeye Pro ) Web Index

Onlineeye optimizes PC Internet performance. The real-time Graphic Analyzer separately measures download and upload speed and time. A zoomable and printable graph shows 24 hours of speed history, allowing you to see what Internet activity took place when you were away from the computer.

The active taskbar icon graphs the current speed. The networkmonitor shows all internet activity of your DSL connection and lets you unmask all spys ! Onlineeye works with virtually all types of network connections: phone modems, DSL, cable modem, LAN, satellite, and more.

In order to use the variety possibilities of OE you should read the following Tutorials, which guide you through the first steps with OnlineEye Pro.

1) Configure and use Onlineeye (OE)

2) Supervisising, controlling and recording the Transfervolume

3) Identify and remove Spyware

4) Track down suspect programs

5) Are running processes transfering data to the internet, and if yes, where did they get transfered ?

6) Direct Router and Server Control with SNMP

7) Remote monitor and control your home network or corporate server farm


Properties ( Network Interface and sampling rates ) Web Index

Starting Windows with Onlineeye:

With every Windows start up, Onlineeye is starting too

Starting Graphic window automatically:

The small graphic window is shown after OE was started

Showing Onlinetime in every window:

In case of a connection with the Internet, the connection time will be shown in every window header.

Sampling Rate

Sampling Rate specifies the frequency in which OE collects network information. The sampling intervals are denoted in seconds and range from one quarter of a second up to five seconds. Selecting a frequency of one quarter of a second means that OE will update its results, graphs, and icon, four times every second.

Faster sampling rates result in greater accuracy when calculating data throughput rates. A sample rate of one second provides accurate statistics and sufficient detail for the icon and graphs. Slower samplings, above three seconds, work well under high traffic conditions such as when running on a network server since the graphs will contain samples spanning a longer period of time.

Averaging Window

Averaging Window specifies the time span, or window, used when calculating the average data throughput rates. This is necessary since most systems are not continuously sending and receiving data over the network. When viewing a Web page for example, the data transfer might last only a few seconds, or when sending an email, a minute or two. If OE calculated averages based upon your entire session, the values would gradually diminish to zero and remain there.

Specifying a window between 10 and 30 seconds will yield accurate results for the average. If you are downloading lots of files, and have a fast Internet connection, you may wish to use higher values such as 60 seconds for even greater accuracy.

Network Interface

Depending upon your configuration, you may wish to specify which adapter OE should monitor to collect networking statistics.

Some network drivers record data transmission amounts under several adapter interfaces under Windows. This causes OE, and other utilities such as netstat, to report double the amount of data actually transferred. To determine if this is a problem with your system try the following test. Start the Stop-Watch and select the Bytes per second option. Download a file using your browser and note the total number of bytes transmitted. If the number of bytes in the Received: pane is double what your browser reported, you will need to use either the Monitor dial-up networking, or Monitor specific adapter, options below. Note that OE may not exactly match the number of bytes reported by your browser since OE's calculations include framing characters and other network activity that your browser is not capable of monitoring.

Selecting a different network interface to monitor will reset all data in the Graph Tab. The totals for the received and sent values will reset to the amounts for your entire Windows session.

Monitor all network activity.
This is the default option for OE. All adapters configured in your system are monitored for network activity.

Monitor dial-up networking only.
OE will collect data throughput statistics using performance counters contained in the system registry. If you use Window's Dial-up Networking, or if your Internet connection requires Point-to-point protocol over Ethernet (PPPoE), you may wish to use this option.

OE only supports a single dial-up adapter. If you have installed multiple dial-up adapters, you may need to use one of the other network interface options listed in this section. Windows 95 users must have the Dial-up Networking Upgrade installed.

Monitor specific adapter.
A list of adapters configured in your system will appear in a combo box next to this option. OE will only monitor the specific adapter selected from this list. Note that you may have duplicate entries in the list, such as several PPP Adapters. You will need to experiment with the different adapters in order to determine the entry used by your Internet connection. Users who connect to their ISP using Virtual Private Networking (VPN) may need to select this option.

Check if you are connected to the internet:

Unfortunately it´s not possible to use only one function to check if an internet connection is available that fits for every situation. According to the various Windows versions, modem, networkconnection, firewall or other properties you have to use different functions.

Here are the different check-modes i've found so far, at least one of them should work for you.

+InternetCheckConnection ........ Windowsfunktion , Checks if google is available
+InternetAttemptConnect .......... Another Windows function, sometimes working, sometimes not
+IsModem Connected ............... The first choice for modem users
+gethostbyname ...................... Checks for Google
+InternetGetConnectedState ..... If none of the above is working for you, try this one

None of these modes transfer data to the Internet.


Feedback ( help us to make Onlineeye better ) Web Index

Help us to make Onlineeye even better.

Enter your e-mail address and tell us whatever you like .....

If you having troubles, push the button "Systeminfo", it includes the current properties in your mail.

If you are having big trouble, you should also send us the "Logfile", and the "Crash-Log" file. The loggerfile will not transmitted automatically. If you click the logfile button, the logger file will be opened by a text editor which must be saved and sent to Onlineeye@pmasoft.net


Graph your Internet Traffic Web Index

Here you can adjust the realtime graph upon your needs.

Bandwidth

- Auto Scale ... The graph resizes automaticlly so that all the traffic will be displayed within the display area
- Free Scale ... Sets your bandwidth for up/download from 14.4 KByte to 100 MByte

Each of the graphs provide an Auto Scale option which dynamically adjusts the range of the graph so that all bars, or lines, are drawn completely within the graph. Auto Scale is recommended if you are using a high bandwidth device such as cable, DSL, or T1 line.

Modem users may wish to manually configure the range of the graph to match the rated speed of their modem. For example, if you have a 56 kbps modem, set the graph display mode to bps, and adjust the slider control so that the topmost value in the graph displays 56k bits/sec.

Graph Display

Current .............. The current traffic is displayed.
Average value .... Average traffic is shown, you can adjust the Average time here: "Settings".

Graph

Graphic display has two modes Bargraph or Linegraph.

Traffic Scale

Scale and display of all data is either Bit/sec or Byte/sec, 1 Byte = 8 Bit.
The conversion to KB/sec or MB/sec is done automatically, 1MB = 1024KB, 1KB = 1024Byte

The current and average values reflect data throughput rates using either bits per second or bytes per second. Throughput is the amount of data that has been sent, or received, within a specific duration of time. The greater the throughput, the faster your Internet connection is.

By convention, data transmission devices, such as modems and networks, are measured in bits per second, or bps. Data storage devices, such as hard drives and memory, are measured in bytes and use a capital B as in Bytes per second, or Bps. To avoid confusion, NetPerSec uses the entire word as in Bytes/sec and bits/sec when displaying values.

When viewing data transmission rates in bits per second (bps), you are comparing the efficiency of your modem or network interface to the actual data throughput of your Internet connection. For example, if you are using a 56 kbps modem, and want to see how well it is performing, use the bits per second option in OE. Displaying bits per second is also helpful when playing media over the Internet such as streaming video. If your cable connection is currently averaging about 150 kbps you'll know beforehand that selecting the high bandwidth 300 kbps movie will result in long pauses and dropped frames. You'll get better results with the smaller 100 kbps version.

When displaying bytes per second (Bps), you are measuring efficiency in terms of data storage and the calculations are done using binary format. You will want to use this option when downloading files from the Internet or moving files across a network. The values displayed in OE will be consistent with those reported by your browser, or FTP utility, when indicating the bytes received per second.

Values may also be combined with the standard metric prefixes: kilo, mega, and giga. These prefixes are abbreviated using the single letters k,K,M and G.

These settings refer to both the small graphic window and the graph above.

Color selection :

- background ....... apply to send/receive
- average value .... apply to send/receive

These properties are activated by clicking "Update Changes"

Window Display :

You can choose between 4 different display modes.

Transparent graph window :

With Win2000 or newer, the window can be shown transparent.


Welcome to pmaSoft's Webpage :-)

Our Guarantee

The basis of our Guarantee is that we assume 100% responsibility for your experience of using our programs. We want you to have tons of fun, and we take full responsibility for anything that gets in the way of that. If you ever have a problem with one of our programs, we believe we've let you down, and we don't think you should have to pay for anything less than a wonderfully working experience.

1. We Guarantee Our Programs Are 100% Bug-Free!

Bug-free? What? How is this possible? Perhaps it really is impossible to create a completely bug-free computer program today. We don't care! If you encounter bugs in any of our programs, we believe it's our responsibility to fix them. Give us just 10 days to find and fix any bugs you've found and send you a new version of the application for free, or you'll receive a full refund or exchange (your choice). If it takes us longer than 10 days to fix it, we'll still send you an updated version and give you another program for free. As software consumers ourselves, it absolutely frustrates us to spend our hard-earned money on software and then find we can't get it to run properly. We don't want you to have to suffer any frustration whatsoever. So we'll fix it within 10 days, or it's free.

2. We Guarantee It Will Run On Your Computer!

Even if there's a problem preventing our programs from working that's not our fault, like a buggy driver that came with your computer, we'll still give you a full refund if we can't help you fix it. Our programs minimum requirements are so reasonable that even a 3-year-old computer should run them just fine. If you can't get to the point of enjoying our games as we intended, we certainly don't expect you to pay for them. We believe all software should be sold this way.

3. We Guarantee You'll Get Great Support!

Our philosophy is simple: We worship the ground our customers walk on! We strive to make our tech support among the best in the world -- friendly, responsive, and helpful. And we keep working to make it better and better. If you buy a program from us and have a problem with it that we can't resolve, we'll give you a full refund. No one deserves to be treated the way some companies' support personnel treat people. We guarantee that our support department will solve your problem for you and treat you like a real human being, or your money back.

4. We Guarantee We Can Keep A Secret!

We know that privacy is very important to our customers. So we keep all your personal information secret and don't share it with other companies. Also, when you order programs online with your credit card, be aware that we don't keep a copy your credit card number after your order is processed. No human being actually sees your credit card number at any time while your order is being processed -- it's all handled by computers, and your data is securely encrypted.

Whoa! Is This For Real?

Yes, it's for real. We didn't go into business just to make money. If that's all we wanted, we would have all gone out and gotten real jobs. We're in business to serve you and to make your life better. What inspires us most is knowing that we can create something that will bring a lot more fun, joy, and inspiration into your life.

And just to make it absolutely, perfectly clear, we don't want your money unless you feel we deserve it. From the moment you decide to download one of our programs to the point where your coffin is being lowered into the ground, we assume 100% responsibility for making sure you have fun. We don't care if you've never downloaded software before, if you're brand new to computer gaming, or if your computer is so old that the case is made of wood. If something is preventing you from having fun, we're responsible. So we guarantee that you'll have fun without frustration. No bugs. No spam. Great support. Total privacy. And tons of fun! If you experience anything less, you don't pay a dime.

While many companies use disclaimers to deny all responsibility for how you're treated, we're doing the exact opposite. So consider this our reverse-disclaimer. We're telling you right now that if you have a problem, we are responsible. Just give us the chance to make things right, and we'll do our very best to fix it. And if we screw up, we don't want your money. It's more important that we learn from our mistakes and make real changes to prevent them from ever happening again. For us to accept your money when we let you down just isn't right.

Are we going to be perfect? No. We're going to make some mistakes. As human beings we can't control everything. It's true that we can't know for certain that we've found and fixed every bug in a game before we release it. But we can still do our best to fix bugs once we find out about them. We can guarantee that youwon't have to pay anything if your experience isn't everything you hoped it would be. We can treat you like a real person and a friend instead of just an entry in a database. And most of all, we can listen to you, take you seriously, and continue striving to bring you as much FUN as possible.

Please Let Us Know What You Think

Thanks for using our software.

With gratitude,

Your friends at pmaSoft


Historial trend of the last 24 hours Web Index

Your total Up/Downloadtransfer is recorded 24 hours and shown in graphic form. That’s the ultimative Tool showing Bandwidth problems of your provider.

The graphic can be stored, opened later as well as printed.

Analyse:

Move the cursor to get all information at a specific time
Zoom in
Zoom out

Time Period:

In the menu "Time" You can specify how many hours from now to the past should be shown in the graph

Display:

Y-axis = transferrate, is taken over from the OnlineEye properties. If you want to select the resize the graph so that every value fits into the display area, choose "Autom. Scale "!

The average value is shown as a line and you are able to adjust the average time. Redraw the graph to apply the changes you have made.


Protect your settings and hide Onlineeye Web Index

If you don't want anybody else than you to change the settings of Onlineeye, this is the place to start.

Password Protection :

After you have enabled the password protection nobody exept you has access to Onlineeye, that means that nobody except you is able to apply changes to Onlineeye. That will protect OE from your children accessing the time limits..

Show Tray Icon:

Maybe you don't like the moving tray-icon or you want to hide the presence of OE, then you can disable it. But as you already know, the Onlineeye settings are accessed by a right-click on the tray icon, so what can we do? The solution is a system wide keyboard shortcut, if you press this shortcut you will get into Onlineeye again.

Prevent OE from being stopped by someone other than yourself:

If someone trys to stop Onlineeye and the password-protection is activated, it is only possible with the help of the Taskmanager. But that can be prevented for all these Windows versions: WinNT, 2000,XP and newer.

Shortcut:

In case you deactivate the Tray-Icon, it is no longer possible to modify the properties of OnlineEye. Through this shortcut you can get to the properies of OnlineEye again.


Internet Dialer

OnlineEye also offers a very comfortable dialer, showing all configured RAS-connections of windows and connect the computer with a connection of your choice.

Dial:

If you have choosen a connection you can set up a connection by pressing the "Dial" button. The respective status of the connection process is shown in the logwindow.

Cancel Dialup:

If the dialup was started by "Dial", you can cancel it with "Cancel"

Hang Up:

If a connection was successfully built up, shown by status = connected, the connection can be finished by "Hang Up"

Properties:

You can have a look at the connection properties, but this is only for viewing, not changing the settings.

Program start :

You know the situation, each time you connect to the internet you wished your Browser, Email Client etc. are already startet, but there aren't. So back to the Start-menu or Desktop .... Now you can choose what programs should be started after you have dialed in. Just Drag & Drop your favorite programs in the listbox, next time you dail in, they are started automaticlly.


Internet Protocols Web Index

Protocols are specific rules for transferring information. Consider this example to better understand the concept: when two governments communicate, they use established protocols. This is to ensure that both sides fully understand and interpret the exact information shared. Similarly, two computer systems exchange information using common protocols.

Protocols generally describe various network services in the following ways:

- Providing formulas for passing messages
- Specifying details of message formats
- Describing how to handle error conditions

The entire Internet is governed by rules set forth by TCP/IP with other compliant standards. Similarly, the application packages that perform different services to be run on the Internet (email, ftp, remote log-in, etc) build their own protocols on the basis of TCP/IP. The following is a brief list describing important protocols used by the Internet:

Transmission Control Protocols (TCP) is a connection-oriented protocol that keeps track of data packets (individual units of the message data) for efficient routing through the Internet. TCP takes care of packet sequence in a particular message and puts data packets back in the right order.

Internet Protocols (IP) is a connectionless protocol that actually delivers the message data packets. The combination of TCP and IP establishes a method for transmitting data as well as integrity of data transmission across the Internet.

Simple Mail Transfer Protocol (SMTP) governs the transmission of electronic messages (e-mails) across the Internet. It is used with one of the two other protocols (POP3 or IMAP) to enable users to download messages from a server or save them in a server mailbox.

File Transfer Protocol (FTP) is responsible for the transfer of web page files between computers and the download of application programs and other files from other servers.

Hypertext Transfer Protocol (HTTP) lets users access hyperlinked (interconnected) web pages and related files on the Internet.

POP3 controls the storage of e-mail messages on a mail server.

Point-to-Point Protocol (PPP) dictates how the dial-up connection should be made and monitors for transmission errors.

Secure Socket Layer (SSL) is an encryption protocol that is needed to protect Web data during its transmission

Dynamic Host Configuration Protocol (DHCP) is a communications protocol that helps network administrators to centrally manage and automate the assignment of Internet Protocols (IP) addresses in an organization network environment.

Session Initiative Protocol (SIP) is used for initiating interactive user sessions involving multimedia elements such as video, voice, chat, gaming and virtual reality.

Layer two Tunneling Protocol is an extension of the Point-to-Point Tunneling Protocol used by an ISP to deliver virtual private network (VPN) services over the Internet.

Next Hop Resolution Protocol allows the computer sending data to learn the most direct route to the computer at the receiving end.

Open Trading Protocol is used as a common method of data exchange among trading and business parties -- manufacturers, distributors, retailers, and shoppers.

Internet Message Access Protocol is a standard protocol used for accessing email from a local server.

Anti-replay Protocol is employed for maintaining IP packets. With this protocol, it becomes impossible for a hacker to intercept message packets and to add changed packets into the data stream between two computers (located at source and destination points).

Common Management Information Protocol (CMIP) is a network management protocol that is built on the open systems interconnection communication model.

Voice over Internet Protocol (VOIP) is based on sending voice information in digital form in discrete packets. VOIP also uses real-time protocol (RTP) to ensure that data packets reach their destination in a timely manner.

Address Resolution Protocol (ARP) is used to map an Internet Protocol (IP) address to a physical machine address so as to make it recognizable in the local network. ARP provides protocol rules to correlate between each Machine Access Control (MAC) address and its corresponding IP address.

File Transfer Protocol (FTP) is an application protocol that uses TCP/IP to transfer Web page files and programs from one computer to another.

Link Control Protocol (LCP) is used for establishing, configuring and testing data-link internet connections in the Point-to-Point (PPP) Protocol setup. LCP checks the telephone line connection to ensure data transmission at the intended rate.

Secure Hypertext Transfer Protocol (S-HTTP) delivers secure communication mechanisms between an HTTP client-server pair. It enables spontaneous commercial transactions for various applications and operation modes.

Virtual Router Redundancy Protocol (VRRP) enables to specify a virtual IP address to be shared among routers in a local area network (LAN) in which one functions as a master router. If somehow this master router fails, the virtual IP address is mapped to the IP address of the backup router which then becomes the master router.

Simple Network Management Protocol (SNMP) governs monitoring of network devices, their functions and other areas of network management.

Lightweight Directory Access Protocol (LDAP) is a software protocol that is used to locate organizational departments, individuals and other resources (files, network devices) on a public Internet or a private Intranet.

Serial Line Internet Protocol (SLIP) is a TCP/IP protocol. It lets two machines talk to each other that are previously configured for communications.

Trivial File Transfer Protocol (TFTP) is used for transferring files where user authentication and directory vulnerability are not required. TFTP is simple to use but is less capable then the File Transfer Protocol (FTP).

Enhanced Interior Gateway Routing Protocol (EIGPR) lets routers exchange information more efficiently. It uses diffusing Update Alogrithm (DUAL) to determine the most efficient route to a particular destination.

Border Gateway Protocol is used between gateway hosts on the Internet for the purpose of exchanging routing information in a network of autonomous systems.

Server Messages Block Protocol (SMB) lets application users access remote server files and other resources (to read, create, and update files on the remote server).


Windows and ****** Password Spy Web Index

Windowsuser + Password:

with Win2000/NT it is possible to show the actual user and their password.

Password Spy:
It’s definitely happened to everybody who has lost their password, witch is now possibly hidden behind this annoying ****** (asterisks). Password Spy is a program that will allow you to "see" the password that is behind "'*****" edit boxes.
Just load the screen with the password field, then drag the magnifying glass icon from Password-Spy over the the hidden field.


Ping, keep connection alive Web Index

Automatic Ping:

Normally auto-pinging a host or service provider can prevent disconnection by ISPs who monitor your connection activity. But what happens if your computer is simulating such a behaviour ? Wehn it works, your ISP will never disconnect you again.

A ping is a low level test to see if a remote host or computer is reachable by your PC. Automatic Ping is doing that at a free selectable interval. Just select a time and a host that should be pinged, the best would be your ISP.

Ping Test:

Is sending a Ping to a host of your interest, and is waiting a given time, before it stopes with a timeout.

What is Ping:

``Ping'' is one of the most useful network debugging tools available. It takes its name from a submarine sonar search - you send a short sound burst and listen for an echo - a ping - coming back.

In an IP network, `ping' sends a short data burst - a single packet - and listens for a single packet in reply. Since this tests the most basic function of an IP network (delivery of single packet), it's easy to see how you can learn a lot from some `pings'.

Ping is implemented by using the required ICMP Echo function, documented in RFC 792 that all hosts should implement. Of course, administrators can disable ping messages (this is rarely a good idea, unless security considerations dictate that the host should be unreachable anyway), and some implementations have (gasp) even been known not to implement all required functions. However, ping is usually a better bet than almost any other network software.

Many versions of ping are available. For the remainder of this discussion, I assume use of BSD UNIX's ping, a freely available, full-featured ping available for many UNIX systems. Most PC-based pings do not have the advanced features I describe. As always, read the manual of whatever version you use.

What Ping can tell you

Ping places a unique sequence number on each packet it transmits, and reports which sequence numbers it receives back. Thus, you can determine if packets have been dropped, duplicated, or reordered.
Ping checksums each packet it exchanges. You can detect some forms of damaged packets.
Ping places a timestamp in each packet, which is echoed back and can easily be used to compute how long each packet exchange took - the Round Trip Time (RTT).
Ping reports other ICMP messages that might otherwise get buried in the system software. It reports, for example, if a router is declaring the target host unreachable.

Some routers may silently discard undeliverable packets. Others may believe a packet has been transmitted successfully when it has not been. (This is especially common over Ethernet, which does not provide link-layer acknowledgements) Therefore, ping may not always provide reasons why packets go unanswered.
Ping cannot tell you why a packet was damaged, delayed, or duplicated. It can not tell you where this happened either, although you may be able to deduce it.
Ping cannot give you a blow-by-blow description of every host that handled the packet and everything that happened at every step of the way. It is an unfortunate fact that no software can reliably provide this information for a TCP/IP network.

Using ping
Ping should be your first stop for network troubleshooting. Having problems transferring a file with FTP? Don't fire up your packet analyzer just yet. Leave your TDR in the box for now. Relax. Put on some Yanni. Don't even ``su'' - ping is a non-privileged command on most systems. Start one running and just watch it for at least two minutes. That's enough time for most periodic network problems to show themselves. Once you've seen about a hundred packets, you should be getting a good feeling for how this host is responding. Are the round-trip times consistent? Seeing any packet loss? Are the TTL values sane? Start pinging other hosts. Try the machine next to you - the problem might be closer than you think. Try the last router - maybe the remote system is overloaded (especially if it's a popular Internet site like this one). Don't know what the last router is? Use traceroute or guess - changing the last number in the IP address to 1 usually gets you something interesting. Check other sites with similar network topologies (other remote LAN sites, or other Internet sites, or other sites using the same backbone). Starting to learn something about how your network is responding? Good. And - oh, yeah, go check that FTP. It's probably done by now.

What you might see

Dropped packets
A unfortunate fact of life. Detect them by noting when the sequence numbers skip, and the missing number does not appear again later. This is probably caused by a router queueing packets for a relatively slow link, and the queue simply grew too large. Early TCP implementations dropped packets at a truly alarming rate, but things have gotten better. Even so, there are common situations, typically involving crowded wide-area networks, in which even modern TCP implementations can't operate steady-state without dropping packets. There's no reason to pull your out hair over this, since TCP will retransmit missing data, but this won't make your network run faster. Also, if you have fast links that aren't showing much congestion, the cause of trouble may be elsewhere - link-level failures are the next most common cause of packet loss. I'd suggest using the techniques mentioned above to narrow down as much as possible where packets are being dropped, and try to understand why this is happening, even if fixing it is beyond your control.

Fluctuating Round Trip Times
Another fact of life. Pretty much caused by the same things that cause packet loss. Again, not serious cause for alarm, but don't expect optimum performance from TCP. Remember that TCP generates an internal RTT estimate that affects protocol behavior. If the actual RTT changes too much, TCP may never be able to make a satisfactory estimate. Both dropped packets and RTT fluctuations may occur in a periodic nature - a batch of slow packets every 30 seconds, for instance. If you see this symptom, check for routing updates or other periodic traffic with the same period as the problem. Poor network performance can often be traced to slow links being clogged with various kinds of automated updates.

Connectivity that comes and goes
Again, look for periods between problems that are multiples of some common number - 10 and 15 seconds are good things to check. If a router is sending error messages when connectivity disappears, that router's the first place to start looking. However, just because you can always reach hop 5, for instance, doesn't mean that your problem isn't hop 3. Hop 3's router may be erroneously timing out routing information for your target, but handling hop 5's routing information just fine. Of course, check hop 5 first if that's where your packets seem to check out but never leave.

Ping works fine but TELNET/FTP/Mail/News/... doesn't
Good news - it's (probably) not a hardware problem. Use a packet tracer of some sort to see what TTL values are being generated by your hosts. If they're too low, you can see this kind of behavior. It could also be a software or configuration problem - can other machines connect to the offending host? Can it talk to itself? On the other hand, it could be a hardware problem, if one of your links is showing data-dependent behavior. The telltale symptom is when FTP (for example) can transfer some files fine, but others always have problems. Once you've found an offending file, trying breaking it into smaller and smaller pieces and see which ones don't work. If the pieces becomes too small to detect problems, duplicate them several times to get a larger file. Once you've found a small pattern that you suspect is causing your grief, see if you can load it into ping packets (BSD PING's `-p' switch) and reproduce trouble.


Untitled Document

Benefits

As a registered customer, you are entitled to:

Fully functional, unrestricted copy of the software.
Free updates for all V1.x Versions.
Free technical support.

Pricing and Online Ordering

Our products are delivered electronically. Online orders are fulfilled within 24 hours . All the prices are quoted in Euro on a per-order basis only.

When you place an online order, your credit card information is sent directly to the credit card processor via a secure (SSL) channel so that no one can intercept your personal data. To go to the secure order page, click on the hyperlink next to the product name and license type you want to purchase. All major credit cards are accepted. When filling out the form, please be sure to enter your correct personal information, license type, and quantity.

Single User Licenses

To go to the secure ordering page, click on Buy Now next to the license type you'd like to purchase. All major credit cards are accepted. You will be able to choose a payment option (credit card, fax, phone, wire transfer, check, paypal, fax) on the ordering page.

If you make your payment with wiretransfer or send cash per Mail, the Licence fee for 1 User is only 15 Euro/ US$.

Online orders include a handling charge of 0.95 Euro.

Onlineeye Pro | Price | PayPal Order | ShareIt Order
1 User License | 15.95 Euro | Buy Now | Buy Now

Multi-User Licenses

Onlineeye Pro | Price | PayPal Order | ShareIt Order
Family Licence | 29,95 Euro | Buy Now | Buy Now
Small Company Licence | 69,95 Euro | Buy Now | Buy Now
Company Licence | 500,0 Euro | Buy Now | Buy Now

Family Licence

Family license, entitles you to use the software on all of your home computers.

Small Company Licence

Several computers of one company/institution at one location (building or campus etc.)

Company Licence

All computers of your company/institution at all locations (building or campus etc.)

What payment options are offered by share-it!?

We offer the following payment types:

Credit Card
Switch/Solo
Bank/Wire Transfer
Check
Cash

We use SSL (Secure Sockets Layer) encryption technology to transfer your data securely. Our encryption is certified by VeriSign.

Credit Card

We accept Visa, MasterCard/Eurocard, American Express, JCB and Diners Club.
When you pay by credit card, your order will be processed immediately. Postal mail shipments are initiated immediately. Products available electronically are generally ready for download immediately, or no more than 48 hours after you place your order.

Switch/Solo

We accept debit cards from Switch and Solo (UK).
When you pay by debit card, your order will be processed immediately. Postal mail shipments are initiated immediately. Products available electronically are generally ready for download immediately, or no more than 48 hours after you place your order.

Bank/Wire Transfer

To avoid fees on international bank transfers, we offer the option of transferring the order amount to an account in Germany, France, the United Kingdom, or Finland.
You will receive the bank account information by e-mail after your order is submitted.
Your order will be shipped as soon as payment is received.

Check

We accept all personal, business, and Cashier's checks. Please note that personal checks may be held for up to 10 business days.
Please note that postal money orders must be in US dollar currency and drawn on an US Bank. Please send those postal money orders to our US-Office:
ShareIt! Inc.
PO Box 844
Greensburg, PA 15601-0844
USA

You will receive detailed information by e-mail after your order is processed.
Products will be shipped once payment has been received.

Cash

You can also send us cash by mail. You will receive notification of our postal address by e-mail after your order is submitted.
Your order will be shipped as soon as payment is received.


Untitled Document

Remote Control Web Index

Onlineeye can act as Server or as Client, or for most of the useres
out there standalone.

0.1 Server
If you Start the Server Onlineeye is still working as before for the
machine it is running, just specify a port adress and up to 10 clients
can connect to this server.
The Server sends the reveived/sent bytes of the specified adapter to
all connected clients.

0.2 Client
Specify the IP-Adress and Port Adress of the maschine where the
Onlineeye-Server is started and connect to it by pressing the connect
button. once you have selected onlineeye running as client it is
just showing data got from the server, it isn't showing the data
coming from the local machine!

0.3 WakeOnLan
You have to specify the remote computer's IP address, subnet mask and MAC address. The
IP address and subnet mask are necessary to calculate the broadcast address. The magic packet
is only broadcasted to the right subnet. The MAC address is the physical hardware address of
the computer's network adapter. You can click the 'Lookup' button to fin the hardware address.
This performs a ping to the remote computer and then looks into the arp table for the IP
address. This means that the lookup may not always work correctly. If the lookup fails, then
you must get the MAC address from the remote computer itself by inspecting the network adapter's
properties. The MAC address is a series of 12 hexadecimal numbers.
Some adapters may display the MAC address as XX-XX-XX-XX-XX-XX, but in poweroff it must
be specified without the dashes.

0.4 Remote Control the Server
Once you are a connected to a onlineeye-server you can control the remote server
in various ways, one is WakeOnLan but you can use also some Power-Off actions.

0.5 Some Cool Ideas
Think of having one computer connected to the internet and some other computer sharing
the same internetconnection. You can configure the OnlineEye-Server to go to standby-mode
if the transferrate is 0 bytes for some time, so no client is connected any more. If
one Client wants to connect again, it must only WakeUp the Server, and the show can go on.

1) Poweroff supports the following actions:
================================

1.1 Logoff
Logs off the current logged on user.

1.2 Reboot
Reboots the computer.

1.3 Shutdown
Shutdown the computer.
In NT/2000/XP this will display the standard message 'It is safe to shutdown you computer'.
In Win9x/Me this will poweroff your pc if your hardware supports it

1.4 Poweroff
This action will physically power off your computer. Your hardware must support this, for
example an ATX motherboard and power supply should support it, but an old AT motherboard
probably doesn't support it. You also have to have ACPI or APM enabled in your bios. And
the power options must be correctly configured in the windows control panel. If Windows
performs a poweroff when you do a normal windows shutdown from the start menu, then it will
also work with this program.

To enable poweroff in Windows NT, you will need a hal.dll that is capable of shutting down
your workstation. You can try one that's supplied with service pack 4 (or higher): hal.dll.softex
Just extract the service pack (with the /x option),

There are several machine-specific HAL.DLL's, and you MUST extract the matching HAL*.DLL.SOFTEX
from the service pack. To avoid problems when someone overwrites the good HAL.DLL with a bad
one it's better to rename HAL*.DLL.SOFTEX to %SystemRoot%\System32\HALPOWER.DLL for instance,
copy the line in %SystemDrive%\BOOT.INI which loads the current system, alter the description
and append " /HAL=HALPOWER.DLL". Now one can choose between the two HALs and has a fallback if
the new one fails.

If you like NT to automatically poweroff at shutdown, set the following registry key to 1:
HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\Winlogon\PowerdownAfterShutdown

1.5 Standby
If your pc supports it, then this will put your pc into standby mode (sleep mode). If you get
a strange error message, then probably on of your device drivers doesn't support standby.
Standby is not supported on NT.

1.6 Hibernate
If your pc supports it, then this will put your pc into hibernate mode. If you get a strange
error message, then probably on of your device drivers doesn't support hibernate. You also
have to have hibernation enabled in your power settings of the windows control panel
(windows 2000 or above). Hibernate is not supported on Windows 95 or NT.

1.7 Lock
This action will lock your workstation. This is only supported on Windows 2000 or above.

1.8 Wake-On-LAN
This action allows you to start up a remote pc. This remote pc must support Wake-On-LAN.
This means that you have to have a network card that is connected via an extra wire to the
motherboard (or power supply) to provide some power. In the system BIOS, Wake-On-LAN must
also be enabled.

How it works:
The network card constantly monitors the network for a 'Magic Packet' when the computer is
switched off. This magic packet is a series of bytes that is sent over the network. A magic
packet consists of a header (6*0xFF) and the MAC address of the network adapter repeated several
times (16 times), for example if your MAC address is 01:02:03:04:05:06 (6 bytes), then the
magic packet looks like this:
FFFFFFFFFFFF010203040506010203040506010203040506010203040506010203040506010203040506010203040
50601020304050601020304050601020304050601020304050601020304050601020304050601020304050601020
3040506010203040506

The nework adapter recognizes the sequence and triggers the power supply to turn on the computer.

You have to specify the remote compute's IP address, subnet mask and MAC address. The
IP address and subnet mask are necessary to calculate the broadcast address. The magic packet
is only broadcasted to the right subnet. The MAC address is the physical hardware address of
the computer's network adapter. You can click the "Lookup" button to fin the hardware address.
This performs a ping to the remote computer and then looks into the arp table for the IP
address. This means that the lookup may not always work correctly. If the lookup fails, then
you must get the MAC address from the remote computer itself by inspecting the network adapterÆs
properties. The MAC address is a series of 12 hexadecimal numbers.
Some adapters may display the MAC address as XX-XX-XX-XX-XX-XX, but in poweroff it must
be specified without the dashes.


Client/Server ( Get the up/download transfer from a remote pc! ) Web Index

Assuming you have a small network with one computer which is connected to the internet and the others use this connection as well. So far so good, but what happens if you what to show the internet traffic on one of the clients ? Just take Onlineeye and install it on the server and on the client pc.

Running as Server:

If you Start the Server Onlineeye is still working as before for the machine it is running, just specify a port address and up to 10 clients can connect to this server. The Server sends the reveived/sent bytes of the specified adapter to all connected clients.

Running as Client:

Specify the IP-Address and Port Address of the machine where the Onlineeye-Server is started and connect to it by pressing the connect button. once you have selected onlineeye running as client it is just showing data got from the server, it isn't showing the data coming from the local machine!


Untitled Document

Network Shares Who is using you network shares? Web Index

If you are not sure who in your corporate-network is accessing your computer shares, you should use OE, Just to be sure that nobody is using your private or secret data.

This tool shows you who is connected to your pc, and what resources he is using. Most windows users don’t know that their windows system has some standard-shares, that administrators or colleagues with according knowledge can use, without your knowledge or permission !


Untitled Document

Shutdown ( Time your onlinetime ) Web Index

Assuming you have children and don't want them to be longer than a specific time connected to the internet. After that time the PC should shut down, or logoff, whatever you want. Onlineeye can do that for you. Just select the maximum time to be online and a "Shutdown Mode".

Poweroff supports the following actions:

1 Logoff
Logs off the current logged on user.

2 Reboot
Reboots the computer.

3 Shutdown
Shutdown the computer.
In NT/2000/XP this will display the standard message ‘It is safe to shutdown you computer’.
In Win9x/Me this will poweroff your pc if your hardware supports it

4 Poweroff
This action will physically power off your computer. Your hardware must support this, for example an ATX motherboard and power supply should support it, but an old AT motherboard probably doesn’t support it. You also have to have ACPI or APM enabled in your bios. And the power options must be correctly configured in the windows control panel. If Windows performs a poweroff when you do a normal windows shutdown from the start menu, then it will also work with this program.

To enable poweroff in Windows NT, you will need a hal.dll that is capable of shutting down your workstation. You can try one that's supplied with service pack 4 (or higher): hal.dll.softex
Just extract the service pack (with the /x option),

There are several machine-specific HAL.DLL’s, and you MUST extract the matching HAL*.DLL.SOFTEX from the service pack. To avoid problems when someone overwrites the good HAL.DLL with a bad one it's better to rename HAL*.DLL.SOFTEX to %SystemRoot%\System32\HALPOWER.DLL for instance, copy the line in %SystemDrive%\BOOT.INI which loads the current system, alter the description and append " /HAL=HALPOWER.DLL". Now one can choose between the two HALs and has a fallback if the new one fails.

If you like NT to automatically poweroff at shutdown, set the following registry key to 1: HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\Winlogon\PowerdownAfterShutdown

5 Standby
If your pc supports it, then this will put your pc into standby mode (sleep mode). If you get a strange error message, then probably one of your device drivers doesn’t support standby. Standby is not supported on NT.

6 Hibernate
If your pc supports it, then this will put your pc into hibernate mode. If you get a strange error message, then probably one of your device drivers doesn’t support hibernate. You also have to have hibernation enabled in your power settings of the windows control panel (windows 2000 or above). Hibernate is not supported on Windows 95 or NT.

7 Lock
This action will lock your workstation. This is only supported on Windows 2000 or above.

8 Wake-On-LAN
This action allows you to start up a remote pc. This remote pc must support Wake-On-LAN. This means that you have to have a network card that is connected via an extra wire to the motherboard (or power supply) to provide some power. In the system BIOS, Wake-On-LAN must also be enabled.

How it works:
The network card constantly monitors the network for a ‘Magic Packet’ when the computer is switched off. This magic packet is a series of bytes that is sent over the network. A magic packet consists of a header (6*0xFF) and the MAC address of the network adapter repeated several times (16 times), for example if your MAC address is 01:02:03:04:05:06 (6 bytes), then the magic packet looks like this:
FFFFFFFFFFFF01020304050601020304050601020304050601020304050601020304050601020304050601020304050601020
3040506010203040506010203040506010203040506010203040506010203040506010203040506010203040506010203040506

The nework adapter recognizes the sequence and triggers the power supply to turn on the computer.


Untitled Document

Handle bad connections Web Index

Assuming you have a bad internet connection, the transfer rate is not what you are expecting, it breaks down for some time or you get often disconnected by your ISP. OE can help you !

Automatic Dialup:

In case that you get disconnected, OE is dialing in again.

Break Online-Connection:

If you want to disconnect after some time, OE will do that for you.

Action for low traffic rate:

If your download rate goes below a limit of your choice for some time, you can let OE do the following things for you:

- Redail ............... Disconnect the actual conncection and redail.
- Hangup ............ Disconnect the actual conncection
- Shutdown ......... Shutdown the PC
- Reboot .............. Restart the PC
- Standby ............ Standby ( Infos )


Untitled Document

Network stats Web Index


Untitled Document

Stopwatch Web Index

Measure the up/downloadspeed !


Network Security ( Which programs are using the internet ? ) Web Index

How can we trust all those programs we have installed on our PC's, how can we know that they are not connected to the internet and transfering private/secret information anywhere to the internet. Anyway its very interesting which programs are calling home without our knowledge.

Actually every program running on your pc is a potential spy, because if a program is running on a windows system it has rights and possibilities to do everything on your pc, and one thing is to open an internet connection, and transfer data from and to your pc.

Onlineeye can't prevent a program doing that, put it shows you all programs with open connections with their destination address on the internet. That gives you the possibility to stop the program and indentify the spy, cause with the destination adress and Whois you can find the owner of the destination.

Options:

- Show all TCP/UDP connections: Shows not only the established connections, but all non-active connections
- Do not resolve Host name from IP-Address ........ No Name resolution

Professional - Tools:

The entire Internet is governed by rules set forth by TCP/IP with other compliant standards. Similarly, the application packages that perform different services to be run on the Internet (email, ftp, remote log-in, etc) build their own protocols on the basis of TCP/IP. Following is a brief list describing of important protocols used by the Internet:

Transmission Control Protocols (TCP) is a connection-oriented protocol that keeps track of data packets (individual units of the message data) for efficient routing through the Internet. TCP takes care of packet sequence in a particular message and puts data packets back in the right order.

Internet Protocols (IP) is a connectionless protocol that actually delivers the message data packets. The combination of TCP and IP establishes a method for transmitting data as well as integrity of data transmission across the Internet.

Simple Mail Transfer Protocol (SMTP) governs the transmission of electronic messages (e-mails) across the Internet. It is used with one of the two other protocols (POP3 or IMAP) to enable users to download messages from a server or save them in a server mailbox.


OnlineEye Help

First Steps (Tutorials)
Internet Protocols
Graph
Port Scanner
Network Shares
Passwords
Child Protection
Ping, Stay Online
Trace
Whois
Modem
Stop Watch
Connection Statistic
Transfervolume
Historical Graph
Traffic Monitor
Monitoring
Warning Messages
Shutdown Computer
Client/Server
Settings
Feedback
Licence and Shop


Trace Web Index

Ping and Tracert both use an ICMP Echo packet to test network connectivity.

Tracert uses the Time-To-Live (ttl) parameter of the packet to progressively
map the route an outbound packet takes on it's route to a destination. Each
router system that forwards a packet decrements the ttl before forwarding it.
If the ttl goes to zero, the router should discard the packet and return a "ttl
exceeded" message. The original intent of the ttl parameter is to keep packets
from endlessly circling the net if there is an error in routing.

The default setting of ttl is normally something like 30 (if the destination is
more than 30 hops away, there will probably be a timeout, anyway). Tracert
sets the ttl to 1 then sends the packet. The first router will expire it and
send back an error message. Tracert does this two more times, then repeats the
procedure with the ttl set to 2. This continues until it reaches the
destination or exceeds the max limit (usually 30).

The three times given are for the complete round trip of the packet (not for
the hop to hop time). The reason that they vary so much is due to two major
causes. First, because of the nature of the Interrnet and the bursty nature of
traffic, times will vary. The other major reason is that some routers place
the error message as a very low priority and will handle other traffic first
before getting around to sending back the "expired" message. It is not
uncommon to see 89, 90, 95, 425, 110, 130, ... Or even 100, 120, 90, 85, ...
Other reasons can cause odd timing results, such as asymmetric routing, buggy
code on the routers, and firewall systems. In general, however, times should
grow the farther away the trace gets.

Hope this clears more smoke than it makes.

Smaller Values are better.

0-100ms ......... Very good
100-500ms ..... Normal surfing is possible
500-1000ms ... Not good
ab 1000ms ..... Bad


Network Monitor Web Index

Traffic-Monitor - monitors network traffic on the chosen network interface and displays it continuously. It could be used for locating suspicious network traffic or to evaluate current utilization of the network interface.

Start Monitoring:

a) Choose the adapter that you want to monitor
b) The GO Button starts the monitoring
c) The X stops the monitoring

Properties:

a) Traffic Filter for TCP/UDP/ICMP

b) Resolve Port names and hostnames

c) Set up the time a connection remains in the list after it's not used anymore.

Hints:

It might take some time to display traffic information after starting network monitoring, when "Resolve addresses" is ON. If you switch it on the fly, it effects only on new connections. Please turn it ON only if you really need it. Once resolved Traffic Monitor is using its own resolve caching system. Addresses cache get lost when you close the program.
When monitoring is started it could decrease the network performance of your computer if there is too much network traffic to handle.


Transfer volume and time spent online Web Index

Every data transfer from and to the selected networkadapter/modem will be recorded for further usage. There are 2 counters, one is counting the actual month, the other is counting the transfervolume of the actual day.

Historical Data:

In addition to the summerized month counter you can have a detailed view upon all days in a month. A right mouse click at one of the entries gives you the possibility to delete a specific day, month or even year.


Use and configure Onlineeye Web Index

First Startup:

Picture (Small Window + Tray-Icon)

The first time you start OE you will see a small black window and a black tray icon, both which show you the actual up/downloadspeed. The upper graph (red) displays the download, and the lower graph (blue) displays the upload speed. The small window moves freely and is scaleable, a click on the try-icon hides this window, another click shows it again.
A right mouse click on the window and on the tray-icon displays the main-menu, from here you can enter all functions with just one click.

Change the standard settings:

Picture (Settings)

In order to use the transfervolume recording it is important that OE is always running on your system, to be sure that this is the case if the autostart feature is activated.

Choose the Interface to monitor:

Well this is the most important property within OE, it defines whitch interface should be monitored, you can choose between Modem, Networkcard and all other interfaces that are installed on your computer. The standard setting is : "Monitor all network activity"

Display time and volume warning Messages:

There was a time once when access to the Internet cost $1 per hour or higher. Now when most ISPs ask as little as $10-20 for monthly unlimited access to the net, there are still countries where ISPs charge users incredible sums of money for the time (not the traffic) spent surfing the web. For those who always want to know how much time they are online there is a program called OnlineEye.
OnlineEye is a small utility that lets you add information about how much time you're online to every application window. This is very useful as you don't have to open up your dialer window to see how much time you've already spent online - just glance at the title bar of, say, your browser window.

- activate the option „Show Onlinetime in the header of each window“
- if you are online and you can't see anything in the actual header, please check out the "Check Modes" 1-5

Configure bandwidth settings (Bit, Byte, Color and maximum Up/Downloadrate):

Depending on your internet bandwidth you should set up the maximum download/upload in the „Graph“ window.

Comparing Onlineeye's results with other utilities

When comparing the average data throughput reported in OE with the results displayed in other utilities, such as your browser, or FTP program, it is very likely that the two throughput rates are different. The reason for this is because averages are calculated by using the total bytes received, or sent, starting at a specific point in time and then dividing the amount by the elapsed time. Since it is unlikely that both OE and the other utility began at the same exact point in time to base the average calculations on, the numbers that are reported will be different. However, over time, usually within 10 to 15 seconds, the numbers reported from each utility will gradually begin to coincide with each other. The most accurate method to determine data throughput is to download a large compressed file, over 1MB, from a local server, preferably from your own ISP.

Modem Connections

When using a modem connection you may occasionally notice data transmission bursts that exceed the rated speed of your modem. This is a result of the compression and buffering used with modems and is completely normal. You will notice that these bursts occur more frequently when viewing Web pages containing lots of text and rarely when downloading files that have already been compressed. For best results, you should use a sampling rate of one second or higher, and rely on the Average throughput values when evaluating your connection speed.

Windows NT 4

If you are using Windows NT 4 it is suggested that you install service pack 4 or higher. Older versions of NT contain a bug in the SNMP interface which result in memory leaks.

Windows 95

If you are using Windows 95 you must have the Winsock v2.0 update and the Dialup Networking Upgrade installed. Both of these updates may be downloaded from http://www.microsoft.com/windows95/downloads/.


Monthly transfervolume and historical trends Web Index

The real-time Graphic Analyzer separately measures download and upload speed and time. A zoomable and printable graph shows 24 hours of speed history, allowing you to see what Internet activity took place when you were away from the computer.

Monthly Transfervolume:

For details go to „Transfervolume“.

Historical graph:

Your total Up/Downloadtransfer is recorded 24 hours and shown in graphic form. This is the ultimative tool for showing your provider Bandwidth problems.

For details go to „Historical Graph“.


Spyware: find it + remove it ! Web Index

Is my PC INFECTED you ask ?

Q. ARE YOU RECEIVING LOTS OF SPAM EMAILS?
Q. HAVE YOU DOWNLOADED MUSIC FILES FROM THE INTERNET?
Q. HAVE YOU INSTALLED ANY FREE PROGRAM FROM THE INTERNET?
Q. DID YOU USE ANY P2P (FILE SHARING) PROGRAM?
Q. HAVE YOU EVER CLICKED ON RANDOM POP UP ADS?

IF THE ANSWER IS YES TO ANY OF THE ABOVE THEN YOUR PC HAS A 95% CHANCE IT'S INFECTED WITH AD WARE AND SPY WARE

What is Spyware & Adware ?

Spyware & Adware are files that are installed on your computer that secretly gather your personal
or your organization’s and relay it to advertisers, third parties or other interested parties without your authorization or knowledge.

Spyware & Adware employs your Internet connection in the background (the so-called 'backchannel') without your knowledge or explicit permission.

Spyware & Adware allow companies to monitor your Internet browsing patterns and even allow companies to SPAM you with those annoying "pop up" ads!

If you've started getting those annoying ads popping up on your screen, you've been infected with Spyware and/or Adware!

Onlineeye can't prevent a program doing that, put it shows you all programs with open connections with their destination address in the internet. That gives you the possibility to stop the program and indentify the spy, because with the destination address and Whois you can find the owner of the destination.

Step 1: Find suspect Programs

Type | TCP or UDP, for details go to „Protocols“
PID | Process Id, it's the same that you can see if you open the Windows- Taskmanager, each running process has its own identifier.
Port | This is the local port that the process is using. Details to all known ports can be found here: http://www.neohapsis.com/neolabs/neo-ports/neo-ports.html
Process | This is the process or service that is accessing the internet or local network

Now that you know the programs that access the internet without your permission you can kill them, delete them from the hard disk or delete their entries in the windows registry.

Strange Registry-Entries

Find out wich programs get started during the windows startup: http://www.sysinternals.com/files/autoruns.zip

Step 2: Where do these programs send my data

Now we know who is talking at home, but where is their homebase ?

With "Show active connections“ you can see all active connections from and to your computer, you can see the source and destination port and adress. The standard settings show only the "Established“ connections.

+ "Show all connections" : OE shows also all inactive connections, that wait for reconnection and are listening to open ports
+ "Do not resolve Hostname from IP-Adress": no Name resolution, you can see just the IP-addresses

Bild (Ports)

Type | TCP or UDP, for details go to „Protocols“
Status | + Established ... active connection + Listening ....... a connection is waiting + Closed ........... a connection is closed
Local | Source address .. your computer
Local Port | Source port ....... your computer
Remote | Remote address
Remote Port | Remote port

Now we have also the destination address and port, but what's next? How can we get the name of the company who is responsible for all this. OE has two other utilities to get this information, they are „Trace“ and „Whois“.

Step 3: Is there only a connection or is there transfered data ?

Traffic-Monitor - monitors network traffic on the chosen network interface and displays it continuously. It could be used for locating suspicious network traffic or to evaluate current utilization of the network interface. Details -> „Traffic Monitor“


Monitor your Network, does not matter if it is a home network or a corporate server farm Web Index

It doesn't matter if you have a small home network or a server farm, with Onlineeye you can always
have a look at the actual and historical transfervolume.

This shows a possible configuration.

Onlineeye as Server:

You must install Onlineeye on every server computer.

Just select the "Start Server" checkbox to start the Onlineeye-Server. If you want Onlineeye
to be a server after every startup, then select the appendant check-box.

Onlineeye as Client:

Enter IP-Address and Server-Port and press the Connect button.

If you want to monitor another server, just press "Disconnect" enter another Server-IP and press
the "Connect" button again.

Server information page:

You can even remote control a server pc by using the remote control functions, for details go here!


Direct Router and Server monitoring with SNMP Web Index

SNMP-Definition:

The Simple Network Management Protocol(SNMP) is a network management standard widely used in TCP/IP networks and, more recently, in Internet Packet Exchange (IPX) networks.

SNMP provides a method of managing network hosts such as workstation or server computers, routers, bridges, and hubs from a centrally-located computer running network management software. SNMP performs management services by using a distributed architecture of management systems and agents

Router monitoring:

The monitored device(s) must be equipped with SNMP, SNMP must be enabled on the device and the machine PRTG must be allowed access to the SNMP interface.

Please check the documentation and settings of your Router/Networkdevice.

If your Router/Networkdevice supports SNMP, the configuration of Onlineeye is a piece of cake:

1) Go to the "Settings" dialog and enable the button Router
2) Open the Router Configuration Window by clicking on Settings
3) Enter the IP-Address or DNS Name of the Router/Networkdevice
4) Press Connect
5) Choose the Interface/Adapter to monitor

Keep in mind that you can monitor only one Interface at the same time, maybe you have to change the sampling rate == Update Time to a higher value, lets say 10 seconds, to get proper results!

Monitor Windows Workstations/Server:

The most common usage is monitoring the bandwidth usage of leased lines, routers and firewalls. But you can also monitor the usage of servers, managed switches or printers.

In order to monitor Windows Servers/Workstations with Onlineeye the SNMP Service has to be started, if this isn't the case you have to install it.

Install the SNMP-Service

1) Open the Windows Components wizard
2) In Components, click Management and Monitoring Tools (but do not select or clear its check box), and then click Details.
3) Select Simple Network Management Protocol check box, and click OK.
4) Click Next.

How to do

To open the Windows Components wizard, click Start, point to Settings, click Control Panel, double-click Add/Remove Programs, and then click Add/Remove Windows Components.

Certain Windows components require configuration before thay can be used. If you installed one or more of these components, but did not configure them, when you click Add/Remove Windows Components, a list of components that need to be configured is displayed. To start the Windows Components wizard, click Components.

You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings might also prevent you from completing this procedure.

SNMP starts automatically after installation.

Set the Sample-Rate at least to 10 seconds to get proper results !!!

FAQ for Win98/ME und WinNT:

Winnt 4.0:

1 . Get mgmtapi.dll and mib.bin if they are not already in \WINNT\system32\ directory.
You could find them in your WinNT installation CD-ROM in the i386 directory
Or download nt4files.zip (11.5k) from

http://www.pmasoft.net/download/nt4files.zip

2 . Extract all files from stg.zip with pkunzip or winzip into the installation
directory (e.g. "\Program Files\Onlineeye Pro")

3 . Extract mgmtapi.dll and mib.bin from nt4files.zip into the same
directory as Onlineeye (or into \WINNT\system32\).

 Winnt 98 and Millenium:

1. Get mgmtapi.dll, mib.bin and wsnmp32.dll
- download w9xlibs.zip (39k) from

http://www.pmasoft.net/download/w9xlibs.zip

2 . Extract all files from stg.zip with pkunzip or winzip into installation
directory (e.g. "\Program Files\Onlineeye Pro")

3 . Extract mgmtapi.dl, mib.bin and wsnmp32.dll from w9xlibs.zip into
the same directory as Onlineeye (or into \windows\).


Warnings for time spent online + monthly transfer limits Web Index

Warning Messages:

Get popup messages if you have reached your timelimit or transferlimit


Whois Web Index

If you want to know who is the owner of a specific internet-domain is then Whois is the right tool for you. The following domains can be directly shown by Onlineeye, all others with the "Web Search"

.biz whois.nic.biz
.com whois.internic.net
.coop whois.nic.coop
.info whois.nic.info
.name whois.nic.name
.net whois.internic.net
.org whois.internic.net
.gov whois.nic.gov
.edu whois.networksolutions.com
.mil rs.internic.net
.int whois.iana.org

.ac whois.nic.ac
.ae whois.uaenic.ae
.at whois.ripe.net
.au whois.aunic.net
.be whois.dns.be
.bg whois.ripe.net
.br whois.registro.br
.bz whois.belizenic.bz
.ca whois.cira.ca
.cc whois.nic.cc
.ch whois.nic.ch
.cl whois.nic.cl
.cn whois.cnnic.net.cn
.cz whois.nic.cz
.de whois.nic.de
.fr whois.nic.fr
.hu whois.nic.hu
.ie whois.domainregistry.ie
.il whois.isoc.org.il
.in whois.ncst.ernet.in
.ir whois.nic.ir
.is whois.isnic.is
.it whois.nic.it
.je whois.nic.je
.jp whois.nic.ad.jp
.li whois.nic.ch
.lu whois.dns.lu
.mc whois.ripe.net
.to whois.tonic.to
.tv whois.tv
.ru whois.ripn.net
.nl whois.domain-registry.nl